- rediffed x32 patch; release 2
[packages/wpe-webkit.git] / wpe-webkit.spec
1 # TODO: review configure options:
2 # - ENABLE_WEBXR (BR: OpenXR >= 1.0.9, openxr.pc)?
3 # - ENABLE_THUNDER (https://github.com/rdkcentral/Thunder)?
4 # - FTL_JIT on !x86_64?
5 # - WEB_RTC+MEDIA_STREAM (BR: openwebrtc)
6 #
7 # Conditional build:
8 %bcond_with     cairogl         # accelerated 2D canvas using cairo-gl
9 #
10 # it's not possible to build this with debuginfo on 32bit archs due to
11 # memory constraints during linking
12 %ifarch %{ix86} x32
13 %define         _enable_debug_packages          0
14 %endif
15 Summary:        Port of WebKit embeddable web component to WPE
16 Summary(pl.UTF-8):      Port osadzalnego komponentu WWW WebKit do WPE
17 Name:           wpe-webkit
18 # NOTE: 2.30.x is stable, 2.31.x devel
19 Version:        2.30.5
20 Release:        2
21 License:        BSD-like
22 Group:          X11/Libraries
23 Source0:        https://wpewebkit.org/releases/wpewebkit-%{version}.tar.xz
24 # Source0-md5:  63a9a7b7f29862ec827a730ba6542e80
25 Patch0:         %{name}-x32.patch
26 URL:            https://wpewebkit.org/
27 BuildRequires:  /usr/bin/ld.gold
28 BuildRequires:  EGL-devel
29 BuildRequires:  OpenGLESv2-devel
30 BuildRequires:  at-spi2-atk-devel >= 2.5.3
31 BuildRequires:  atk-devel >= 1:2.16.0
32 BuildRequires:  bubblewrap >= 0.3.1
33 BuildRequires:  cairo-devel >= 1.16.0
34 BuildRequires:  cmake >= 3.10
35 BuildRequires:  docbook-dtd412-xml
36 BuildRequires:  fontconfig-devel >= 2.13.0
37 BuildRequires:  freetype-devel >= 1:2.9.0
38 BuildRequires:  gcc-c++ >= 6:7.3.0
39 BuildRequires:  glib2-devel >= 1:2.44
40 BuildRequires:  glibc-misc
41 BuildRequires:  gperf >= 3.0.1
42 BuildRequires:  gstreamer-devel >= 1.14
43 BuildRequires:  gstreamer-gl-devel >= 1.10.0
44 # codecparsers,mpegts with -DUSE_GSTREAMER_MPEGTS=ON
45 #BuildRequires: gstreamer-plugins-bad-devel >= 1.10.0
46 # app,audio,fft,pbutils,tag,video
47 BuildRequires:  gstreamer-plugins-base-devel >= 1.10.0
48 BuildRequires:  gtk-doc >= 1.10
49 BuildRequires:  harfbuzz-devel >= 1.4.2
50 BuildRequires:  harfbuzz-icu-devel >= 1.4.2
51 BuildRequires:  libepoxy-devel >= 1.4.0
52 BuildRequires:  libgcrypt-devel >= 1.7.0
53 BuildRequires:  libicu-devel >= 60.2
54 BuildRequires:  libjpeg-devel
55 BuildRequires:  libpng-devel
56 BuildRequires:  libseccomp-devel
57 BuildRequires:  libsoup-devel >= 2.54.0
58 BuildRequires:  libstdc++-devel >= 6:7.3.0
59 BuildRequires:  libtasn1-devel
60 BuildRequires:  libwebp-devel
61 BuildRequires:  libwpe-devel >= 1.8.0
62 BuildRequires:  libxml2-devel >= 1:2.8.0
63 BuildRequires:  libxslt-devel >= 1.1.7
64 BuildRequires:  openjpeg2-devel >= 2.2.0
65 BuildRequires:  perl-base >= 1:5.10.0
66 BuildRequires:  pkgconfig
67 %if %{with cairogl}
68 BuildRequires:  pkgconfig(cairo-egl) >= 1.10.2
69 BuildRequires:  pkgconfig(cairo-gl) >= 1.10.2
70 BuildRequires:  pkgconfig(cairo-glx) >= 1.10.2
71 %endif
72 BuildRequires:  python >= 1:2.7.0
73 BuildRequires:  rpm-build >= 4.6
74 BuildRequires:  rpmbuild(macros) >= 1.699
75 BuildRequires:  ruby >= 1:1.9
76 BuildRequires:  ruby-modules >= 1:1.9
77 BuildRequires:  sqlite3-devel >= 3
78 BuildRequires:  tar >= 1:1.22
79 BuildRequires:  wayland-devel
80 BuildRequires:  wayland-egl-devel
81 BuildRequires:  wpebackend-fdo-devel >= 1.8.0
82 BuildRequires:  woff2-devel >= 1.0.2
83 BuildRequires:  xdg-dbus-proxy
84 BuildRequires:  xorg-lib-libICE-devel
85 BuildRequires:  xorg-lib-libXcomposite-devel
86 BuildRequires:  xorg-lib-libXdamage-devel
87 BuildRequires:  xorg-lib-libXext-devel
88 BuildRequires:  xorg-lib-libXrender-devel
89 BuildRequires:  xorg-lib-libXt-devel
90 BuildRequires:  xz
91 BuildRequires:  zlib-devel
92 Requires:       at-spi2-atk-libs >= 2.5.3
93 Requires:       atk >= 1:2.16.0
94 Requires:       cairo >= 1.16.0
95 Requires:       fontconfig-libs >= 2.13.0
96 Requires:       freetype >= 1:2.9.0
97 Requires:       glib2 >= 1:2.44
98 Requires:       gstreamer >= 1.2.3
99 Requires:       gstreamer-plugins-base >= 1.2.3
100 Requires:       harfbuzz >= 1.4.2
101 Requires:       libepoxy >= 1.4.0
102 Requires:       libgcrypt >= 1.7.0
103 Requires:       libsoup >= 2.54.0
104 Requires:       libxml2 >= 1:2.8.0
105 Requires:       libxslt >= 1.1.7
106 Requires:       openjpeg2 >= 2.2.0
107 Requires:       woff2 >= 1.0.2
108 Requires:       wpebackend-fdo >= 1.8.0
109 # Source/JavaScriptCore/CMakeLists.txt /WTF_CPU_
110 ExclusiveArch:  %{ix86} %{x8664} x32 %{arm} aarch64 hppa mips ppc ppc64 ppc64le s390 s390x sh4
111 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
112
113 %description
114 wpe-webkit is a port of the WebKit embeddable web component to WPE.
115
116 WPE (Webkit Port for Embedded) is the reference WebKit port for
117 embedded and low-consumption computer devices.
118
119 %description -l pl.UTF-8
120 wpe-webkit to port osadzalnego komponentu WWW WebKit do WPE.
121
122 WPE (Webkit Port for Embedded) to wzorcowy port biblioteki WebKit dla
123 urządzeń komputerowych wbudowanych oraz o niskim poborze energii.
124
125 %package devel
126 Summary:        Development files for WebKit for WPE
127 Summary(pl.UTF-8):      Pliki programistyczne komponentu WebKit dla WPE
128 Group:          X11/Development/Libraries
129 Requires:       %{name} = %{version}-%{release}
130 Requires:       glib2-devel >= 1:2.44
131 Requires:       libsoup-devel >= 2.54.0
132 Requires:       libstdc++-devel >= 6:7.3.0
133 Requires:       libwpe-devel >= 1.5.0
134
135 %description devel
136 Development files for WebKit for WPE.
137
138 %description devel -l pl.UTF-8
139 Pliki programistyczne komponentu WebKit dla WPE.
140
141 %package apidocs
142 Summary:        WebKit API documentation
143 Summary(pl.UTF-8):      Dokumentacja API WebKita
144 Group:          Documentation
145 Requires:       gtk-doc-common
146 BuildArch:      noarch
147
148 %description apidocs
149 WebKit API documentation.
150
151 %description apidocs -l pl.UTF-8
152 Dokumentacja API WebKita.
153
154 %prep
155 %setup -q -n wpewebkit-%{version}
156 %patch0 -p1
157
158 %build
159 install -d build
160 cd build
161 %cmake .. \
162         %{?with_cairogl:-DENABLE_ACCELERATED_2D_CANVAS=ON} \
163         -DENABLE_GEOLOCATION=ON \
164         -DENABLE_GTKDOC=ON \
165 %ifarch x32
166         -DENABLE_C_LOOP=ON \
167         -DENABLE_JIT=OFF \
168         -DENABLE_SAMPLING_PROFILER=OFF \
169 %endif
170         -DENABLE_VIDEO=ON \
171         -DENABLE_WEB_AUDIO=ON \
172         -DENABLE_WEBGL=ON \
173 %ifarch %{ix86} %{x8664} x32
174         -DHAVE_SSE2_EXTENSIONS=ON \
175 %endif
176         -DPORT=WPE \
177         -DSHOULD_INSTALL_JS_SHELL=ON
178
179 %{__make}
180
181 %install
182 rm -rf $RPM_BUILD_ROOT
183
184 %{__make} -C build install \
185         DESTDIR=$RPM_BUILD_ROOT
186
187 %if "%{_gtkdocdir}" != "%{_datadir}/gtk-doc/html"
188 install -d $RPM_BUILD_ROOT%{_gtkdocdir}
189 %{__mv} $RPM_BUILD_ROOT%{_datadir}/gtk-doc/html/* $RPM_BUILD_ROOT%{_gtkdocdir}
190 %endif
191
192 %clean
193 rm -rf $RPM_BUILD_ROOT
194
195 %post   -p /sbin/ldconfig
196 %postun -p /sbin/ldconfig
197
198 %files
199 %defattr(644,root,root,755)
200 %doc NEWS
201 %attr(755,root,root) %{_bindir}/WPEWebDriver
202 %attr(755,root,root) %{_libdir}/libWPEWebKit-1.0.so.*.*.*
203 %attr(755,root,root) %ghost %{_libdir}/libWPEWebKit-1.0.so.3
204 %if "%{_libexecdir}" != "%{_libdir}"
205 %dir %{_libexecdir}/wpe-webkit-1.0
206 %endif
207 %attr(755,root,root) %{_libexecdir}/wpe-webkit-1.0/WPENetworkProcess
208 %attr(755,root,root) %{_libexecdir}/wpe-webkit-1.0/WPEWebProcess
209 %attr(755,root,root) %{_libexecdir}/wpe-webkit-1.0/jsc
210 %dir %{_libdir}/wpe-webkit-1.0
211 %attr(755,root,root) %{_libdir}/wpe-webkit-1.0/libWPEWebInspectorResources.so
212 %dir %{_libdir}/wpe-webkit-1.0/injected-bundle
213 %attr(755,root,root) %{_libdir}/wpe-webkit-1.0/injected-bundle/libWPEInjectedBundle.so
214
215 %files devel
216 %defattr(644,root,root,755)
217 %attr(755,root,root) %{_libdir}/libWPEWebKit-1.0.so
218 %{_includedir}/wpe-webkit-1.0
219 %{_pkgconfigdir}/wpe-web-extension-1.0.pc
220 %{_pkgconfigdir}/wpe-webkit-1.0.pc
221
222 %files apidocs
223 %defattr(644,root,root,755)
224 %{_gtkdocdir}/wpe-1.0
225 %{_gtkdocdir}/wpe-webextensions-1.0
This page took 0.069299 seconds and 3 git commands to generate.